Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.mvc.view
Class BindingModel

    java.lang.Object
      org.springframework.validation.AbstractErrors
          org.springframework.webflow.mvc.view.BindingModel

All Implemented Interfaces:
  java.io.Serializable, org.springframework.validation.BindingResult, org.springframework.validation.Errors

    public class BindingModel

extends org.springframework.validation.AbstractErrors
implements org.springframework.validation.BindingResult

Makes the properties of the "model" object available to Spring views during rendering. Also makes data binding (aka mapping) results available after a form postback attempt. Also makes error messages available to the view. This class is a Spring Errors adapter, basically, for use with spring form and bind tags.

Author:
  Keith Donald, Jeremy Grelle
See Also:
  `AbstractMvcView`, Serialized Form

Field Summary

Fields inherited from interface org.springframework.validation.BindingResult
`MODEL_KEY_PREFIX`

Fields inherited from interface org.springframework.validation.Errors
`NESTED_PATH_SEPARATOR`

Constructor Summary
`BindingModel(java.lang.String objectName, java.lang.Object boundObject, ExpressionParser expressionParser, ConversionService conversionService, MessageContext messageContext)` Creates a new Spring Binding model.

Method Summary
`void` | `addAllErrors(org.springframework.validation.Errors errors)`
`void` | `addError(org.springframework.validation.ObjectError error)`
`java.beans.PropertyEditor` | `findEditor(java.lang.String field, java.lang.Class valueType)`
`java.util.List` | `getAllErrors()`
`java.util.List` | `getFieldErrors()`
`java.util.List` | `getFieldErrors(java.lang.String field)`
`java.lang.Class` | `getFieldType(java.lang.String field)`
`java.lang.Object` | `getFieldValue(java.lang.String field)`
`java.util.List` | `getGlobalErrors()`
`java.util.Map` | `getModel()`
`java.lang.String` | `getObjectName()`
`org.springframework.beans.PropertyEditorRegistry` | `getPropertyEditorRegistry()`
`java.lang.Object` | `getRawFieldValue(java.lang.String field)`
`java.lang.String[]` | `getSuppressedFields()`
`java.lang.Object` | `getTarget()`
`void` | `recordSuppressedField(java.lang.String field)`
`void` | `reject(java.lang.String errorCode, java.lang.Object[] errorArgs, java.lang.String defaultMessage)`
`void` | `rejectValue(java.lang.String field, java.lang.String errorCode, java.lang.Object[] errorArgs, java.lang.String defaultMessage)`
`java.lang.String[]` | `resolveMessageCodes(java.lang.String errorCode)`
`java.lang.String[]` | `resolveMessageCodes(java.lang.String errorCode, java.lang.String field)`
`void` | `setBinderConfiguration(BinderConfiguration binderConfiguration)`
`void` | `setMappingResults(MappingResults results)` Sets the results of a data mapping attempt onto the bound model object from the view.

Methods inherited from class org.springframework.validation.AbstractErrors
`canonicalFieldName, doSetNestedPath, fixedField, getErrorCount, getFieldError, getFieldError, getFieldErrorCount, getFieldErrorCount, getGlobalError, getGlobalErrorCount, getNestedPath, hasErrors, hasFieldErrors, hasFieldErrors, hasGlobalErrors, isMatchingFieldError, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.validation.Errors
`getErrorCount, getFieldError, getFieldError, getFieldErrorCount, getFieldErrorCount, getGlobalError, getGlobalErrorCount, getNestedPath, hasErrors, hasFieldErrors, hasFieldErrors, hasGlobalErrors, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath`

Constructor Detail

### BindingModel

    public BindingModel(java.lang.String objectName,
                        java.lang.Object boundObject,
                        ExpressionParser expressionParser,
                        ConversionService conversionService,
                        MessageContext messageContext)

  Creates a new Spring Binding model.

  Parameters:
    `objectName` - the name of the bound model object
    `boundObject` - the bound model object
    `expressionParser` - the expression parser used to access model object properties
    `conversionService` - the registry used to access converters for formatting properties
    `messageContext` - the message context containing flow messages to display

Method Detail

### setMappingResults

    public void setMappingResults(MappingResults results)

  Sets the results of a data mapping attempt onto the bound model object from the view.

  Parameters:
    `results` -
  See Also:
    `AbstractMvcView.processUserEvent()`

### setBinderConfiguration

    public void setBinderConfiguration(BinderConfiguration binderConfiguration)

### getAllErrors

    public java.util.List getAllErrors()

  Specified by:
    `getAllErrors` in interface `org.springframework.validation.Errors`
  Overrides:
    `getAllErrors` in class `org.springframework.validation.AbstractErrors`

### getGlobalErrors

    public java.util.List getGlobalErrors()

  Specified by:
    `getGlobalErrors` in interface `org.springframework.validation.Errors`

### getFieldErrors

    public java.util.List getFieldErrors(java.lang.String field)

  Specified by:
    `getFieldErrors` in interface `org.springframework.validation.Errors`
  Overrides:
    `getFieldErrors` in class `org.springframework.validation.AbstractErrors`

### getFieldType

    public java.lang.Class getFieldType(java.lang.String field)

  Specified by:
    `getFieldType` in interface `org.springframework.validation.Errors`
  Overrides:
    `getFieldType` in class `org.springframework.validation.AbstractErrors`

### getFieldValue

    public java.lang.Object getFieldValue(java.lang.String field)

  Specified by:
    `getFieldValue` in interface `org.springframework.validation.Errors`

### getFieldErrors

    public java.util.List getFieldErrors()

  Specified by:
    `getFieldErrors` in interface `org.springframework.validation.Errors`

### getObjectName

    public java.lang.String getObjectName()

  Specified by:
    `getObjectName` in interface `org.springframework.validation.Errors`

### addAllErrors

    public void addAllErrors(org.springframework.validation.Errors errors)

  Specified by:
    `addAllErrors` in interface `org.springframework.validation.Errors`

### reject

    public void reject(java.lang.String errorCode,
                       java.lang.Object[] errorArgs,
                       java.lang.String defaultMessage)

  Specified by:
    `reject` in interface `org.springframework.validation.Errors`

### rejectValue

    public void rejectValue(java.lang.String field,
                            java.lang.String errorCode,
                            java.lang.Object[] errorArgs,
                            java.lang.String defaultMessage)

  Specified by:
    `rejectValue` in interface `org.springframework.validation.Errors`

### getTarget

    public java.lang.Object getTarget()

  Specified by:
    `getTarget` in interface `org.springframework.validation.BindingResult`

### getRawFieldValue

    public java.lang.Object getRawFieldValue(java.lang.String field)

  Specified by:
    `getRawFieldValue` in interface `org.springframework.validation.BindingResult`

### findEditor

    public java.beans.PropertyEditor findEditor(java.lang.String field,
                                                java.lang.Class valueType)

  Specified by:
    `findEditor` in interface `org.springframework.validation.BindingResult`

### addError

    public void addError(org.springframework.validation.ObjectError error)

  Specified by:
    `addError` in interface `org.springframework.validation.BindingResult`

### getModel

    public java.util.Map getModel()

  Specified by:
    `getModel` in interface `org.springframework.validation.BindingResult`

### getPropertyEditorRegistry

    public org.springframework.beans.PropertyEditorRegistry getPropertyEditorRegistry()

  Specified by:
    `getPropertyEditorRegistry` in interface `org.springframework.validation.BindingResult`

### getSuppressedFields

    public java.lang.String[] getSuppressedFields()

  Specified by:
    `getSuppressedFields` in interface `org.springframework.validation.BindingResult`

### recordSuppressedField

    public void recordSuppressedField(java.lang.String field)

  Specified by:
    `recordSuppressedField` in interface `org.springframework.validation.BindingResult`

### resolveMessageCodes

    public java.lang.String[] resolveMessageCodes(java.lang.String errorCode,
                                                  java.lang.String field)

  Specified by:
    `resolveMessageCodes` in interface `org.springframework.validation.BindingResult`

### resolveMessageCodes

    public java.lang.String[] resolveMessageCodes(java.lang.String errorCode)

  Specified by:
    `resolveMessageCodes` in interface `org.springframework.validation.BindingResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD